summaryrefslogtreecommitdiff
path: root/t/parallel-tests-trailing-whitespace.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/parallel-tests-trailing-whitespace.sh')
-rwxr-xr-xt/parallel-tests-trailing-whitespace.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/t/parallel-tests-trailing-whitespace.sh b/t/parallel-tests-trailing-whitespace.sh
new file mode 100755
index 000000000..e8e4203ca
--- /dev/null
+++ b/t/parallel-tests-trailing-whitespace.sh
@@ -0,0 +1,46 @@
+#! /bin/sh
+# Copyright (C) 2009-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check parallel-tests features:
+# - trailing whitespace in TESTS
+# GNU make 3.80 may expand trailing white space to '.log'.
+
+. ./defs || exit 1
+
+cat >> configure.ac << 'END'
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+TESTS = foo $(BAR)
+BAR =
+END
+
+cat >foo <<'END'
+#! /bin/sh
+exit 0
+END
+
+chmod +x ./foo
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+
+./configure
+$MAKE check
+
+: